import { http } from "@/utils/http";
import { FormItemProps } from "@/views/system/menu/utils/types";
type Result = {
  success: boolean;
  data?: Array<any>;
};

/**
 * @param data 新的路由
 * 添加菜单
 */

export const addMenu = (data?: FormItemProps) => {
  return http.request<Result>("post","/addMenu", { data });
}

/**
 * @param data 路径
 * 删除菜单
 */

export const deleteMenu = (data?: object) => { 
  return http.request<Result>("post","/deleteMenu", { data });
}

/**
 * @
 * 修改菜单
 */

export const alterMenu = (data?: FormItemProps) => { 
  return http.request<Result>("post","/alterMenu", { data });
}

/** 获取系统管理-菜单管理列表 */
export const getMenuList = (data?: object) => {
  return http.request<Result>("get", "/getAllMenu", { data });
};

/**
 * 为不同role添加权限
 */
export const addRolePermission = (data?: object) => {
  return http.request<Result>("post", "/addRolePermission", { data });
}
