import { http } from "@/utils/http";
import data from "@iconify-icons/ri/fullscreen-fill";

type SelectFeedback = {
  // 用户反馈的类型
  feedBackType: number;
  // 用户反馈的时间
  feedBackTime: number;
  // 用户反馈的反馈状态
  status: number;
  // 反馈目录编号
  tableId: number;
}

type Feedback = {
  // 反馈编号
  feedBackId: number;
  // 用户反馈类型
  feedBackType: number;
  // 用户反馈标题
  feedBackTitle: string;
  // 用户反馈状态
  status: number;
  // 用户反馈内容
  feedBackContent: string;
  // 反馈用户名称
  nickname: string;
  // 反馈用户编号
  userId: number;
  // 反馈用户名称
  headshot: string;
  // 反馈时间
  feedBackTime: Date;
  // 对应升级包编号
  packageId: number;
  // 对应升级包名称
  packageName: string;
  // 对应升级包版本
  packageVersion: number;
  // 对应反馈目录编号
  tableId: number;
}

type FeedBackResult = {
  success: boolean;
  data: {
    list: Array<Feedback>;
  }
}

type Result = {
  success: boolean;
  data?: {
    
  }
}

/** 获取反馈目录下的所有反馈 */
export const getFeedbackList = (data?:SelectFeedback) => {
  return http.request<FeedBackResult>("post", "/get-feed-back-list", { data });
}

/** 批量删除反馈目录下的反馈 */
export const deleteFeedBacks = (data?: Array<number>) => {
  return http.request<Result>("post","delete-feed-backs",{data})
}