import { http } from "@/utils/http";

type FeedBackStatistic = {
  personNumber: number,
  unprocessedNumber: number,
  processedNumber: number,
}
type Result = {
  success: boolean;
  data?: FeedBackStatistic;
}
/** 获取反馈数据 */
export const getFeedbackNumber = (data?: object) => {
  return http.request<Result>("post", "/get-feedback-number", { data });
}


type FeedBackTable = {
  tableId: number,
  tableIsSetup: boolean,
  tableBanner?: string,
  tableName: string,
  tableFeedBackNum: number,
  tableDescription: string,
}

type FeedBackTableResult = {
  success: boolean;
  data: {
    list: Array<FeedBackTable>;
  } 
}



/** 获取未解决反馈升级包目录（最新优先） */
export const getFeedbackTableList = (data?: object) => {
  return http.request<FeedBackTableResult>("post", "/get-feedback-list", { data });
}