import { http } from "@/utils/http";
type upgradePackageTable = {
  tableId: number,
  tableVersion: string,
  tableBanner?: string,
  tableName: string,
  tablDescription: string,
  tableDownload: number,
  tableUpdateTime: Date,
  tableIsSetUp: boolean,
  tableMark: string,
}
type Result = {
  success: boolean;
  data?: {
    /** 列表数据 */
    list: Array<upgradePackageTable>;
    /** 信息 */
    msg?: string;
  };
};
export type upgradePackageTableForm = {
  tableId: number,
  tableVersion: string,
  tableBanner?: string,
  tableName: string,
  tablDescription: string,
  tableIsSetUp: boolean,
  tableMark: string,
}
/** 获取升级包列表元素 */
export const getUpgradePackageTableList = (data?: object) => { 
  return http.request<Result>("post", "/get-upgrade-package-list", { data });
}

/** 删除升级包表元素 */
export const deleteUpgradePackageTable = (data?:{tableId: number}) => { 
  return http.request<Result>("post", "/delete-upgrade-package-table", { data });
}

/** 修改升级包表元素 */
export const alterUpgradePackageTable = (data?: upgradePackageTableForm) => {
return http.request<Result>("post", "/alter-upgrade-package-table", { data });
}
 
/** 添加升级包表元素 */
export const addUpgradePackageTable = (data?: upgradePackageTableForm) => {
return http.request<Result>("post", "/add-upgrade-package-table", { data });
}

/** 按照升级包表id查 */
export const searchUpgradePackageTableById = (data?: {tableId: number}) => { 
  return http.request<Result>("post", "/search-upgrade-package-table-by-id", { data });
}

/** 按照升级包表id查升级包表说明 */
export const searchUpgradePackageTableDescriptionById = (data?: {tableId: number}) => { 
  return http.request<Result>("post", "/search-upgrade-package-table-description-by-id", { data });
}

/** 修改对应升级包表下的备注信息 */
export const alterUpgradePackageTableDescriptionById = (data?: {tableId: number,description: string}) => { 
  return http.request<Result>("post", "/alter-upgrade-package-table-description-by-id", { data });
}