// 导入 Crypto-JS 库
import CryptoJS from 'crypto-js';

// 密钥，用于签发和验证 JWT
const secretKey = 'your_secret_key';

// 生成 JWT
export const generateToken = (payload) => {
  const header = {
    alg: 'HS256',
    typ: 'JWT'
  };

  const encodedHeader = CryptoJS.enc.Base64.stringify(CryptoJS.enc.Utf8.parse(JSON.stringify(header)));
  const encodedPayload = CryptoJS.enc.Base64.stringify(CryptoJS.enc.Utf8.parse(JSON.stringify(payload)));

  const data = encodedHeader + '.' + encodedPayload;
  const signature = signData(data, secretKey);
  
  console.log(data + '.' + signature);
  return Promise.resolve(data + '.' + signature);
}

// 验证 JWT
export const verifyToken = token => {
  console.log(token)
  const parts = token.split('.');
  console.log(parts.length)
  if (parts.length !== 3) {
    console.error('Invalid token format');
    return null;
  }

  const [encodedHeader, encodedPayload, signature] = parts;
  const data = encodedHeader + '.' + encodedPayload;

  // const isValid = verifyData(data, signature);
  // if (!isValid) {
  //   console.error('Invalid signature');
  //   return null;
  // }

  return JSON.parse(CryptoJS.enc.Utf8.stringify(CryptoJS.enc.Base64.parse(encodedPayload)));
}

// 使用 Crypto-JS 进行 HMAC SHA256 签名
const signData = (data, key) => {
  const signature = CryptoJS.HmacSHA256(data, key).toString(CryptoJS.enc.Base64);
  return signature;
}

// 验证签名
const verifyData = (data, signature) => {
  const expectedSignature = CryptoJS.HmacSHA256(data, secretKey).toString(CryptoJS.enc.Base64);
  return CryptoJS.enc.Base64.stringify(CryptoJS.enc.Utf8.parse(signature)) === expectedSignature;
}